library otpview;

import 'package:flutter/material.dart';

String text1='',text2='',text3='',text4='';
String get otp=>'$text1$text2$text3$text4';
class OtpView extends StatelessWidget {
  var focusNode1 = FocusNode();
  var focusNode2 = FocusNode();
  var focusNode3 = FocusNode();
  var focusNode4 = FocusNode();
  bool? obSecure;
  double? fontSize;



  OtpView({Key? key,this.obSecure,this.fontSize}) : super(key: key);



  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.all(4),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.center,

        children: [

          EditBox(
              focusNode: focusNode1,
              onChange: (value){
                text1=value;
                if(value.length==1){
                  focusNode2.requestFocus();
                }
              }),
          const SizedBox(width: 4,),
          EditBox(
              focusNode: focusNode2,
              onChange: (value){
                text2=value;
                if(value.length==1){

                  focusNode3.requestFocus();
                }else{
                  focusNode1.requestFocus();
                }
              }),


          const SizedBox(width: 4,),
          EditBox(
              focusNode: focusNode3,
              onChange: (value){
            text3=value;
            if(value.length==1){
              focusNode4.requestFocus();
            }else{
              focusNode2.requestFocus();
            }
          }),
          const SizedBox(width: 4,),
          EditBox(
              focusNode: focusNode4,
              onChange: (value){
            text4=value;
            if(value.isEmpty){
              focusNode3.requestFocus();
            }
          }),
        ],
      ),
    );
  }
  Widget EditBox({TextInputType? keyboardType,Function(String value)? onChange,FocusNode? focusNode}){
    return SizedBox(
      width: 60,child:  TextField(
      maxLength: 1,
      focusNode: focusNode,
      textAlign: TextAlign.center,
      obscureText: obSecure??true,
      style: TextStyle(
          fontSize: fontSize??14
      ),
      keyboardType: keyboardType??TextInputType.number,
      decoration: const InputDecoration(
          hintText: '*',
          counterText: '',
          border: OutlineInputBorder()
      ),
      onChanged:onChange,
    ),);
  }
}

